% -*- coding:utf-8 mode:trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: core-syntax.pl,v $
%%  $Revision: 107 $
%%      $Date: 2007-04-18 11:22:26 +0200 (Wed, 18 Apr 2007) $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: All speed constraints that belong to
%%             Universal Grammar.
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile '*>'/2.
:- discontiguous '*>'/2.

% Phrases are never traces.
structured_word_or_phrase *> synsem:trace:minus.


% Without this constraint EFD computation produces rules
% for the modification of empty determiners. St. Mü. 13.05.2007
% The restriction to `word' is necessary since 'oft [_ _]' has to be allowed
% and the combination of the two empty elements is TRACE-.
(head_adjunct_phrase,
 head_dtr:(word,
           phon:e_list)) *> synsem:loc:cat:head:noun_or_comp_or_verb. % should be noun_or_verb



