% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%          $File: german-maltese-lexrules.pl $
%%      $Revision: 94 $
%%          $Date: 2007-03-26 17:16:20 +0200 (Mon, 26 Mar 2007) $
%%         Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%% $LastChangedBy: stefan $
%%        Purpose: Macros that are identical for German and Maltese
%%       Language: Trale
%          System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


:- ['core-grammar-spirits'].

:- ['inflecting-language'].

:- ['vp-lexrules'].
:- ['vp-modifier-macros'].

:- ['chinese-danish-german-maltese'].

:- ['danish-english-german-hindi'].
:- ['danish-english-german'].
:- ['danish-english'].

:- ['danish-german-maltese-persian'].
:- ['danish-german-hindi-persian'].




:- ['danish-german-maltese'].
:- ['danish-german-persian'].
:- ['danish-german-yiddish'].
:- ['danish-german'].


:- ['expletive-macros'].
:- ['positional-expletive-lr'].

:- ['fixed-constituent-order-languages'].



% load lexical items and grammar rules for coordination
:- ['coordination'].

:- ['neg-prons'].

% :- ['empty-determiner'].