% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%          $File: english.pl $
%%      $Revision: 94 $
%%          $Date: 2007-03-26 17:16:20 +0200 (Mon, 26 Mar 2007) $
%%         Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%% $LastChangedBy: stefan $
%%        Purpose: A file that loads everything from the core grammar that is relevant for English.
%%       Language: Trale
%          System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


:- ['core-grammar-spirits'].

:- ['inflecting-language'].

:- ['subject-verb-agreement'].


:- ['danish-german-maltese-persian'].
:- ['danish-german-hindi-persian'].

:- ['danish-german-maltese'].
:- ['danish-german-persian'].

:- ['danish-english-german-hindi'].
:- ['danish-english-german'].

:- ['danish-english'].


:- ['english-german-hindi-maltese'].


:- ['expletive-macros'].

:- ['fixed-constituent-order-languages'].

:- ['non-head-movement'].



% load lexical items and grammar rules for coordination
:- ['coordination'].


% :- ['empty-determiner'].