% -*- coding:utf-8 mode:trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: core-syntax.pl,v $
%%  $Revision: 325 $
%%      $Date: 2008-09-26 14:50:11 +0200 (Fr, 26 Sep 2008) $
%%     Author: Stefan Mueller (Stefan.Mueller@fu-berlin.de)
%%    Purpose: All the syntactic constrints that are shared by
%%             inflecting languages.
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile (if)/2.
:- discontiguous (if)/2.
:- multifile (fun)/1.
:- discontiguous (fun)/1.
:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile (lex_rule)/2.
:- discontiguous (lex_rule)/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.



fun list_of_syntactic_signs(-).
list_of_syntactic_signs(L) if
   when( (L=(e_list;ne_list)),
         undelayed_list_of_syntactic_signs(L) ).

undelayed_list_of_syntactic_signs([]) if true.
undelayed_list_of_syntactic_signs([syntactic_sign|T]) if
   list_of_syntactic_signs(T).


% Schließt Stämme in der Syntax aus.
% Stämme als Kopftochter sind bereits in der Signatur ausgeschlossen
phrase *>
   non_head_dtrs:list_of_syntactic_signs.
