% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: lexicon.pl,v $
%%  $Revision: 123 $
%%      $Date: 2007-05-12 20:50:18 +0200 (Sat, 12 May 2007) $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: A grammar for Maltese
%%   Language: Trale
%%     System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile '--->'/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.

% This file contains lexical entries for clitics. They should be
% used instead of the clitic-lexrules, if loading time matters.

ni ~~> clitic.


i ~~> clitic.

%  todo: The vowel has to match the verb

ek ~~> clitic.

k  ~~> clitic.

% identical with the pronoun
%hu ~~> clitic.

% use hu instead. It is a hack anyway
%u ~~>   (@clitic(third,sg,mas)).
%h ~~>   @clitic(third,sg,mas).

ha ~~> clitic.

hie ~~> clitic.

na ~~> clitic.

kom ~~> clitic.

hom ~~> clitic.
