% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: lexicon.pl,v $
%%  $Revision: 152 $
%%      $Date: 2007-05-25 23:25:37 +0200 (Fri, 25 May 2007) $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: A grammar for Maltese
%%   Language: Trale
%%     System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile '--->'/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.





% send Fabri93a:104
% bgħt ~~>  @tri_val_verb(a_ send_rel,human,    object, agentive),
%           @perf_stem(a_ bagħat), 
%           @imperf_stem(a_ bgħat). % ji statt i als Präfix

bs ~~> @bi_val_verb(a_ kiss_rel,agentive, object),
       @perf_stem(a_ bis),
       @imperf_stem(a_ imperfective_bis).




clitic *>
 (
   (phon:[a_ ni],
    @clitic(acc,first,sg,genus),
    stressible:minus)
 ;
   (phon:[a_ i],
    @clitic(dat,first,sg,genus),
    stressible:minus)

%  todo: The vowel has to match the verb
 ; (( phon:[a_ ek]
    ; phon:[a_ k]
    ),
    @clitic(second,sg,genus),
    stressible:minus)

 ; (phon:[a_ hu],
    @clitic(third,sg,mas))

 ; (phon:[a_ ha],
    @clitic(third,sg,fem),
    stressible:minus)

 ; (phon:[a_ hie],
    @clitic(third,sg,mas),
    stressible:plus)


 ; (phon:[a_ na],
    @clitic(first,pl,genus),
    stressible:minus)

 ; (phon:[a_ kom],
    @clitic(second,pl,genus),
    stressible:minus)

 ; (phon:[a_ hom],
    @clitic(third,pl,genus),
    stressible:minus)
).



%test ~~> @e_copula.

empty
  @e_copula.


empty
  (@empty_determiner_word,
      ((synsem:loc:cat:head:spec:loc:cat:head:def:plus,
        rels:[udef_q])
      ;(synsem:loc:cat:head:spec:loc:cat:head:def:minus,
        rels:[some_q])
      )
  ).



empty 
   e_trace.



