% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: rules.pl,v $
%%  $Revision: 123 $
%%      $Date: 2007-05-12 20:50:18 +0200 (Sa, 12 Mai 2007) $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: A grammar for Maltese
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


h_arg ## @h_arg(HeadDtr,NonHeadDtr)
  ===>
cat> (HeadDtr,
      synsem:loc:cat:head:initial:plus),
cat> NonHeadDtr.


arg_h ## @h_arg(HeadDtr,NonHeadDtr)
  ===>
cat> NonHeadDtr,
cat> (HeadDtr,
      synsem:loc:cat:head:initial:minus).

spr_h ## @spr_h(HeadDtr,NonHeadDtr)
  ===>
cat> NonHeadDtr,
cat> HeadDtr.         

h_spr ## @spr_h(HeadDtr,NonHeadDtr)
  ===>
cat> (HeadDtr,
      synsem:loc:cat:head:verb),        % otherwise determiners could appear to the left of the noun
cat> NonHeadDtr.


h_adj ## @h_adj(HeadDtr,NonHeadDtr)
  ===>
cat> HeadDtr,
cat> (NonHeadDtr,
      synsem:loc:cat:head:pre_modifier:minus).

adj_h ## @h_adj(HeadDtr,NonHeadDtr)
  ===>
cat> (NonHeadDtr,
      synsem:loc:cat:head:pre_modifier:plus),
cat> HeadDtr.


filler_h ## @filler_h(HeadDtr,NonHeadDtr)
  ===>
cat> NonHeadDtr,
cat> HeadDtr.



clld_h ## @clld_h(HeadDtr,NonHeadDtr)
  ===>
cat> NonHeadDtr,
cat> HeadDtr.


h_clld ## @clld_h(HeadDtr,NonHeadDtr)
  ===>
cat> HeadDtr,
cat> NonHeadDtr.


pro_drop ## @pro_drop(HeadDtr)
  ===>
cat> HeadDtr.

