% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: german-syntax.pl,v $
%%  $Revision: 327 $
%%      $Date: 2009-02-05 12:09:33 +0100 (Thu, 05 Feb 2009) $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: A grammar for German
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.
:- multifile (if)/2.
:- discontiguous (if)/2.
:- multifile (fun)/1.
:- discontiguous (fun)/1.



rc *>
 (@saturated,
  synsem:nonloc:inher:(rel:[],
                       que:[],
                       slash:[])).


mod_rc *>
 (@intersective_n_modifier,
  synsem:loc:(cat:head:(relativizer,
                        rp_head:RP_Head,               % maybe not needed in French ...
                        mod:loc:cont:ind:Ind),
              cont:ind:Ind),
  c_cont:(hook:(gtop:GTop,
                lextop:RS_Lextop,
                ltop:LTop),
          rels:[],
          h_cons:[]),
  non_head_dtrs:[synsem:(loc:(Slash,
                              cat:head:RP_Head),
                         nonloc:inher:(rel:[Ind],
                                       slash:[])),
                 
                 synsem:(loc:(cat:(head:(verb,
                                         dsl:none,
                                         %initial:minus,
                                         vform:fin),
                                   subcat:list_of_spirits),
                              cont:(gtop:GTop,
                                    lextop:RS_Lextop,
                                    ltop:LTop),
                              idiomatic:minus),
                         nonloc:inher:(rel:[],
                                       slash:[Slash]),
                                % Der finite Satz selbst darf nicht extrahiert werden.
                                % Das könnte man auch durch loc:Loc, Loc =/= Slash erzwingen.
                         trace:minus)]).
