% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: german-macros.pl,v $
%%  $Revision: 316 $
%%      $Date: 2008-06-12 17:21:16 +0200 (Do, 12 Jun 2008) $
%%     Author: Stefan Mueller (Stefan.Mueller@fu-berlin.de)
%%    Purpose: German grammar using MRS
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile ':='/2.
:- discontiguous ':='/2.


rel_pronoun :=
 (%@pronoun_word,   % this introduces quantifiers, but the relative pronouns do not do this.
  simple_word,
  @overt_le,
  @saturated,
  @non_que_le,
  @non_clld_le,
  @non_slashed_le,
  synsem:(loc:cont:ind:Ind,
          nonloc:inher:rel:[Ind])).


/*

% Big problem: die Tage, die ich arbeite, rechnet der Chef nicht ab.
% Here the relative pronoun is an adjunct and should have a MOD value.
% St. Mü. 14.02.2010

% also used in Persian
nominal_rel_pronoun :=
 (@nominal_pronoun_le,   % -> compl_noun
  @rel_pronoun,
  @non_relational_le).  % possessives introduce relations



*/


