% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%          $File: german-maltese-lexrules.pl $
%%      $Revision: 280 $
%%          $Date: 2008-01-11 15:00:27 +0100 (Fr, 11 Jan 2008) $
%%         Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%% $LastChangedBy: stefan $
%%        Purpose: Lexical rules that are identical for German and Maltese
%%       Language: Trale
%          System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%







% loads all files that are needed for German

:- ['core-grammar-spirits'].
:- ['inflecting-language'].

:- ['subject-verb-agreement'].


:- ['danish-english-german-hindi'].
:- ['danish-german-maltese-persian'].

:- ['english-german-hindi-maltese'].
:- ['english-german-hindi'].


:- ['german-maltese-persian-hindi'].

:- ['german-hindi-maltese'].
:- ['german-hindi-persian'].
:- ['german-hindi'].



:- ['marker'].




:- ['erg-abs-case'].  
