% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: syntax.pl,v $
%%  $Revision: 161 $
%%      $Date: 2007-05-30 14:47:43 +0200 (Wed, 30 May 2007) $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: syntactic constraints that are special to Maltese.
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.
:- multifile (if)/2.
:- discontiguous (if)/2.
:- multifile (fun)/1.
:- discontiguous (fun)/1.





% This should be part of the more general files,
% however, Maltese has the subject in SPR and Persian in SUBCAT. =:-(
%
subj_drop_phrase *>
 (synsem:(loc:cat:subcat:append(FirstPart,[(arg:NonHeadDtr,
                                            raised:Raised,
                                            realized:plus)]),
          lex:minus),
  head_dtr:synsem:loc:cat:(head:(verb,
                                 vform:fin),
                           subcat:append((FirstPart,
                                          list_of_spirits),
                                         [(@pro_np_ref,
                                           arg:NonHeadDtr,
                                           raised:Raised,
                                           realized:minus)])), 
  non_head_dtrs:[]).
