% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: core-syntax-spirits.pl,v $
%%  $Revision: 302 $
%%      $Date: 2008-04-21 17:24:18 +0200 (Mo, 21 Apr 2008) $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: Case assignment for all nominative-accusative
%%             languages.
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.
:- multifile (if)/2.
:- discontiguous (if)/2.
:- multifile (fun)/1.
:- discontiguous (fun)/1.



% Used for Maltese and Danish, Maltese in addition copies Def and Marking under synsem:loc:cat from input to output.
% Maltese takes roots as input since root to stem mapping is not implemented yet.
fin_verb_infl_lr *>
( %complex_word,
  @scoping_lextop_lr,
  @cat_identical_lr,
  @usually_shared_in_lr,
  synsem:loc:cat:head:vform:fin,
  dtrs:hd:synsem:loc:cat:arg_st:list_of_non_raised_arguments).
