% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%          $File: german-maltese-lexrules.pl $
%%      $Revision: 65 $
%%          $Date: 2007-03-24 15:56:43 +0100 (Sat, 24 Mar 2007) $
%%         Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%% $LastChangedBy: stefan $
%%        Purpose: inflection macros for Maltese
%%       Language: Trale
%          System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile ':='/2.

pl_stem(Stem-(a_ _)) :=
  (infl:pl_stem:Stem).

a_infl_affix(Phon,Num,Gen) :=
 (phon:Phon,
  num:Num,
  gen:Gen).

v_infl_affix(Phon,Prefix,Per,Num,Gen,Tense) :=
 (phon:Phon,
  prefix:Prefix,
  per:Per,
  num:Num,
  gen:Gen,
  tense:Tense).

perf_stem(Stem-(a_ _)) :=
  (infl:v_stems:perfective:Stem).

imperf_stem(Stem-(a_ _)) :=
  (infl:v_stems:imperfective:Stem).